Bug 1975533 - Remove stale cruft installed by CVO in earlier releases
Summary: Remove stale cruft installed by CVO in earlier releases
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Stefan Schimanski
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks: 1975536
TreeView+ depends on / blocked
 
Reported: 2021-06-23 21:11 UTC by Jack Ottofaro
Modified: 2021-07-01 12:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1975536 1975537 1975538 1975539 1975542 1975543 1975544 1975545 1977027 1977319 1978284 (view as bug list)
Environment:
Last Closed: 2021-06-24 09:03:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jack Ottofaro 2021-06-23 21:11:43 UTC
Created attachment 1793631 [details]
Spreadsheet containing leaked resources.

This "stale cruft" is created as a result of the following scenario. Release A had manifest M that lead the CVO to reconcile resource R. But then the component maintainers decided they didn't need R any longer, so they dropped manifest M in release B. The new CVO will no longer reconcile R, but clusters updating from A to B will still have resource R in-cluster, as an unmaintained orphan.

Now that https://issues.redhat.com/browse/OTA-222 has been implemented teams can go back through and create deletion manifests for these leaked resources.

The attachment delete-candidates.csv contains a list of leaked resources as compared to a freshly installed 4.9 cluster. Use this list to find your component's resources and use the manifest delete annotation (https://github.com/openshift/cluster-version-operator/pull/438) to remove them.

Note also that in the case of a cluster-scoped resource it may not need to be removed but simply be modified to remove namespace.

Comment 1 Stefan Schimanski 2021-06-24 09:03:13 UTC
I don't see openshift-apiserver among them. Closing.


Note You need to log in before you can comment on or make changes to this bug.